---
title: Lacre test on Disroot
bgcolor: '#FFF'
fontcolor: '#1F5C60'
section_id: privacy
text_align: left
---

<br>
<br>
<br>
<br>
You may have heard already about our work on [Lacre](https://lacre.io) - an open source, GnuPG based mailbox encryption software. The initial closed trial run, about a year ago, had to be halted before we could bring it to public testing but since then a lot of work has been done to get it up to a point allowing us to finally battle test it on Disroot. It is finally happening. On the weekend of **[date]** we will enable Lacre on Disroot mail server for open beta testing for everyone interested. The objective of this test is to see how Lacre will behave at scale and realistic load scenario. Additionally, we would like to gather user experience feedback. This will allow us to iron out all possible issues before we add Lacre permanently.

Here is some important information about the event. **Please read it carefully before you decide to participate**.

  - You can upload your GnuPG public key [here](https://keys.disroot.org) to actively particiapte in the test.
  - **This test is directed at those Disrooters familiar with GnuPG mail encryption!** - Once you enable Lacre on your Disroot account all incoming emails will be automatically encrypted for your email address with supplied public key for the duration of beta tests. **If you don't know what you're doing and lost us already, please do not join the tests or you may loose access to encrypted emails**. Keep in mind you can always use your @getgoogleoff.me and @disr.it aliases if you wish to not get your main emails encrypted.

  - Lacre currently encrypts only current incoming emails. This means it won't encrypt your entire mailbox so you don't have to be afraid about emails sent prior the moment you setup your key with Lacre.

  - In case the mail server becomes unstable, causing outage or in any way impacts the operation for everyone else, we will terminate tests, concluding, we need more work before it is stable enough. All of you who would like to further help with testing, can reach out to us to get access to our test server where we continue to work on things.

  - Resetting your key in case key is lost does not currently work properly (hence you should know what you're doing). However since it's just testing you can always reach out to us for help. We can still reset encryption however mind that due to the encryption being end to end we wont be able to decrypt emails which were already encrypted.

  - This test is not only to check whether the system works under every day load and usage, but also to help us improve the frontend and onboarding so that we could in the future provide our solutions to less techy people. Therefore we would love if you look at the process from a perspective of a lay man as well and give us some feedback using this [form](https://cryptpad.disroot.org/missinglink).

We are looking forward to this event and can't wait for results. No matter the outcome, we are already happy and proud that the little idea materialized and is so close to completion. Big thanks to **Pfm** without whom we would not get that far, and to everyone helping along the way. Special thanks to **NLNET** who's financial aid helped a lot Lacre and ton of other projects (https://nlnet.nl/project/).

